!
!++++++++++++++++++++++++++++  OELINE    ++++++++++++++++++++++++++++
!
!   DECLARATIVE & FORMAT STATEMENTS FOR FILE: MLOELINE TYPE: E
!
!   ORDER ENTRY LINE FILE FORMAT                       REC SIZE:  630
!               ** EXTENDED **                         KEY SIZE:   9
!       KEY DESCRIPTION: OENUM$+OELIN$  KEY1(ITEM): 18,10
!
!   #FILES NAME: ORDR.ENTRY.LINE                       DATE: 02/11/15
!
!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!
!   VARIABLE DECLARATIONS
!
     LENGTH   4.0 & LOCAL  OECTN,OESKID
     LENGTH   5.2 & LOCAL  OEALLO(03),OECMM(03)
     LENGTH   8.2 & LOCAL  OEWHT
     LENGTH  12.2 & LOCAL  OEEXT
     LENGTH  12.3 & LOCAL  OEACTPRC,OEBPRIC,OEQBORD,OEQORD,OEQSHIP
     LENGTH  13.3 & LOCAL  OECOST,OELAMT
     LENGTH     1 & LOCAL  COMMFLG$,ENGFLG$,MSFLG$,OECOMBL$,OELKB$,OELTYP$
     LENGTH     1 & LOCAL  OESTS$,OETXBL$,PRODFLG$
     LENGTH     2 & LOCAL  OELOC$
     LENGTH     3 & LOCAL  MLINE$,OEGLSUB$,OELIN$
     LENGTH     4 & LOCAL  OECELL$,OELDSC$,OENSID$,OEPOM$,OEUM$
     LENGTH     6 & LOCAL  OELOT$,OENUM$,OEPONBR$,OEVEND$
     LENGTH     7 & LOCAL  OEGLNO$
     LENGTH     8 & LOCAL  OEASSMDT$,OEBOLPRT$,OECMPDT$,OEFABDT$,OEORGENT$
     LENGTH     8 & LOCAL  OEORGSHP$,OERELDT$,OESDAT$,OESTSCHG$
     LENGTH     9 & LOCAL  LINFILL$
     LENGTH    18 & LOCAL  OEITEM$
     LENGTH    20 & LOCAL  OECOM$,OEDESC2$
     LENGTH    80 & LOCAL  OETEXT$
     LENGTH   160 & LOCAL  OEDESC$
     LENGTH    10 & LOCAL  OELINKEY$
!
!  RECORD FORMAT                FIELD DESCRIPTIONS        TYPE   LENGTH  POS
!
31 FORMAT _
         OENUM$;_           ! ORDER NO                     S        6       0
         OELIN$;_           ! LINE NO                      S        3       6
         OELTYP$;_          ! LINE TYPE                    S        1       9
         _                  ! T = TEXT LINE
         _                  ! S = SALES LINE
         _                  ! B = BOL COMMENT
         OEITEM$;_          ! ITEM NUMBER                  S       18      10
         OELOC$;_           ! LOC ID                       S        2      28
         OELOT$;_           ! LOT/SERIAL                   S        6      30
         OESDAT$;_          ! SHIP DATE                    S        8      36
         OELDSC$;_          ! LINE DISCOUNT ID             S        4      44
         OEDESC$;_          ! LINE DESCRIPTION             S      160      48
         OEDESC2$;_         ! LINE DESC 2                  S       20     208
         OEUM$;_            ! U/M                          S        4     228
         OEQORD;_           ! QTY ORDERED                  N     12.3     232
         OEQSHIP;_          ! QTY SHIPPED                  N     12.3     246
         OEQBORD;_          ! QTY BACK ORDERED             N     12.3     260
         OEBPRIC;_          ! BASE PRICE                   N     12.3     274
         OEACTPRC;_         ! ACTUAL PRICE                 N     12.3     288
         OEEXT;_            ! EXTENDED PRICE               N     12.2     302
         OECOST;_           ! EXTENDED COST                N     13.3     316
         OETXBL$;_          ! TAXABLE Y/N                  S        1     331
         OECOMBL$;_         ! COMMISS Y/N                  S        1     332
         OEGLNO$;_          ! G/L NO                       S        7     333
         OEGLSUB$;_         ! SUB                          S        3     340
         OENSID$;_          ! NON STOCK                    S        4     343
         OELAMT;_           ! SPECIAL COMMISSION           N     13.3     347
         OEALLO(01);_       ! ALLOC PERCENT                N      5.2     362
         OEALLO(02);_       ! ALLOC PCNT 2                 N      5.2     369
         OEALLO(03);_       ! ALLOC PCNT 3                 N      5.2     376
         OECMM(01);_        ! COMM OVERIDE                 N      5.2     383
         OECMM(02);_        ! COMMISS OVERIDE 2            N      5.2     390
         OECMM(03);_        ! COMMISS OVERIDE 3            N      5.2     397
         OEPONBR$;_         ! ORD ENT TO PO NUMBER         S        6     404
         OEVEND$;_          ! VENDOR NUMBER                S        6     410
         ENGFLG$;_          ! ENG FLAG                     S        1     416
         PRODFLG$;_         ! PROD FLAG                    S        1     417
         MSFLG$;_           ! M/S                          S        1     418
         MLINE$;_           ! MAST LINE                    S        3     419
         OETEXT$;_          ! TEXT LINE                    S       80     422
         COMMFLG$;_         ! COMMIT FLAG                  S        1     502
         OESTS$;_           ! STS                          S        1     503
         _                  ! H = HOLD
         _                  ! R = RELEASED
         _                  ! C = COMPLETE
         _                  ! S = SHIPPED
         OERELDT$;_         ! RELEASE DATE                 S        8     504
         OECMPDT$;_         ! COMPLETED DATE               S        8     512
         OEPOM$;_           ! POM CODE                     S        4     520
         OECELL$;_          ! CELL CODE                    S        4     524
         OEASSMDT$;_        ! ASSM TARGET DATE             S        8     528
         OEFABDT$;_         ! FAB TARGET DATE              S        8     536
         OELKB$;_           ! KB?                          S        1     544
         OEWHT;_            ! WEIGHT                       N      8.2     545
         OESKID;_           ! SKIDS                        N      4.0     555
         OECTN;_            ! CARTONS                      N      4.0     561
         OECOM$;_           ! DIMENSIONS                   S       20     567
         OESTSCHG$;_        ! STS CHANGE DATE              S        8     587
         OEORGSHP$;_        ! ORIG SHIP DATE               S        8     595
         OEORGENT$;_        ! ORIG ENTRY DATE              S        8     603
         OEBOLPRT$;_        ! BOL PRINT DATE               S        8     611
         LINFILL$;_         ! FILLER                       S        9     619
         "@0D0A@"           ! CR/LF                        S        2     628
!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
