!
!++++++++++++++++++++++++++++  OEMAST    ++++++++++++++++++++++++++++
!
!   DECLARATIVE & FORMAT STATEMENTS FOR FILE: MLOEMAST TYPE: E
!
!   ORDER ENTRY MASTER FILE FORMAT                     REC SIZE:  700
!               ** EXTENDED **                         KEY SIZE:   6
!       KEY DESCRIPTION: OENUM$   KEY1(JOBNAME):35,268  KEY2(POCHK): 23,184
!                        KEY3(CUST):8,184
!   #FILES NAME: ORDR.ENTRY.MAST                       DATE: 02/11/15
!
!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!
!   VARIABLE DECLARATIONS
!
     LENGTH   5.2 & LOCAL  OECOMM1,OECOMM2,OECOMM3
     LENGTH   6.0 & LOCAL  TCTN,TSKID
     LENGTH   8.2 & LOCAL  OEDAMT,OEFRT,OEMISC
     LENGTH   9.2 & LOCAL  DOLHLD,DOLREL,DOLSHIP,TWHT
     LENGTH  10.2 & LOCAL  OEDEPST,OETAX
     LENGTH  13.3 & LOCAL  OEAMT(02)
     LENGTH     1 & LOCAL  OEACKPR$,OECPFLAG$,OECRFLG$,OEFLAG$(02),OELOTPR$
     LENGTH     1 & LOCAL  OEMKB$,OEPRCD$
     LENGTH     2 & LOCAL  OEBONO$,OETYPE$
     LENGTH     3 & LOCAL  OEBY$,OECHGBY$,OEENTBY$,OESTAT$
     LENGTH     4 & LOCAL  OEDISC$,OEFOB$,OEMPOM$,OEPRD$,OESVIA$,OETRM$
     LENGTH     4 & LOCAL  OETX$
     LENGTH     5 & LOCAL  OEPVS$
     LENGTH     6 & LOCAL  OEEXTR$(01),OEINVNO$,OEJOB$,OENUM$,OESLM1$,OESLM2$
     LENGTH     6 & LOCAL  OESLM3$
     LENGTH     8 & LOCAL  DACTSHP$,OEBILL$,OEDAT$,OEDUDT$,OENBDT$,OESHIP$
     LENGTH    10 & LOCAL  CARRIER$,OEDTCHG$,OEDTENT$,OEINVDT$,OEZIP$,SHPRNO$
     LENGTH    11 & LOCAL  OEFILL$
     LENGTH    15 & LOCAL  OEABLORD$,OEORCORD$,OEPONUM$,OESCITY$
     LENGTH    20 & LOCAL  OEPHONE$,OEPRO$
     LENGTH    25 & LOCAL  OESADR1$,OESADR2$,OESADR3$,OESCNTRY$
     LENGTH    30 & LOCAL  OESNAM$
     LENGTH    35 & LOCAL  OEJNAM$
     LENGTH    50 & LOCAL  OEEMAIL$
!
!  RECORD FORMAT                FIELD DESCRIPTIONS        TYPE   LENGTH  POS
!
30 FORMAT _
         OENUM$;_           ! ORDER NUMBER                 S        6       0
         OEBONO$;_          ! ORDER NUMBER                 S        2       6
         OETYPE$;_          ! ORDER TYPE                   S        2       8
         OEDAT$;_           ! ORDER DATE                   S        8      10
         OESHIP$;_          ! SHIP TO CUST NO              S        8      18
         OESNAM$;_          ! SHIP TO NAME                 S       30      26
         OESADR1$;_         ! SHIP TO ADDRESS 1            S       25      56
         OESADR2$;_         ! SHIP TO ADDRESS 2            S       25      81
         OESADR3$;_         ! SHIP TO ADDRESS 3            S       25     106
         OESCITY$;_         ! SHIP TO CITY                 S       15     131
         OESTAT$;_          ! ST                           S        3     146
         OEZIP$;_           ! SHIP TO ZIP CODE             S       10     149
         OESCNTRY$;_        ! SHIP TO COUNTRY              S       25     159
         OEBILL$;_          ! BILL TO CUST NO              S        8     184
         OEPONUM$;_         ! CUST PO NUMBER               S       15     192
         OESVIA$;_          ! SHIP VIA                     S        4     207
         OEFOB$;_           ! FOB ID                       S        4     211
         OETRM$;_           ! TERMS ID                     S        4     215
         OETX$;_            ! TAX ID                       S        4     219
         OESLM1$;_          ! SLSM 1 CODE                  S        6     223
         OECOMM1;_          ! SLS 1 COMM %                 N      5.2     229
         OESLM2$;_          ! SLS 2 CODE                   S        6     236
         OECOMM2;_          ! SLS 2 COMM %                 N      5.2     242
         OESLM3$;_          ! SLS 3 CODE                   S        6     249
         OECOMM3;_          ! SLS 3 COMM %                 N      5.2     255
         OEDISC$;_          ! DISC ID                      S        4     262
         OELOTPR$;_         ! LOT PRICE                    S        1     266
         OEACKPR$;_         ! ACK PRINT                    S        1     267
         OEJNAM$;_          ! JOB NAME                     S       35     268
         OEDAMT;_           ! DISCOUNT AMOUNT              N      8.2     303
         OETAX;_            ! TAX AMOUNT                   N     10.2     313
         OEFRT;_            ! FREIGHT AMOUNT               N      8.2     325
         OEMISC;_           ! MISC AMT                     N      8.2     335
         OEDEPST;_          ! DEPOSIT AMOUNT               N     10.2     345
         OEINVNO$;_         ! INVOICE NUMBER               S        6     357
         OEINVDT$;_         ! INVOICE DATE                 S       10     363
         OEDUDT$;_          ! DUE DATE                     S        8     373
         OEPRD$;_           ! PERD POST                    S        4     381
         OEBY$;_            ! ORDR BY                      S        3     385
         OEEXTR$(01);_      ! EXTRA 1                      S        6     388
         OECPFLAG$;_        ! COMP/ PART                   S        1     394
         OEFLAG$(01);_      ! FLAG 1                       S        1     395
         OEFLAG$(02);_      ! FLAG 2                       S        1     396
         OEAMT(01);_        ! XTRA AMT 1                   N     13.3     397
         OEAMT(02);_        ! XTRA AMT 2                   N     13.3     412
         OEJOB$;_           ! JOB NO                       S        6     427
         DOLHLD;_           ! DOLLARS ON HOLD              N      9.2     433
         DOLREL;_           ! DOLLLAR RELEASED             N      9.2     444
         DOLSHIP;_          ! DOLLLARS SHIPPED             N      9.2     455
         SHPRNO$;_          ! SHIPPER NO                   S       10     466
         DACTSHP$;_         ! ACT SHIP DATE                S        8     476
         OEPVS$;_           ! PVS CODE                     S        5     484
         OEABLORD$;_        ! ABL ORDER NUMBER             S       15     489
         OEORCORD$;_        ! ORACLE ORDER NUMBER          S       15     504
         OEMPOM$;_          ! POM                          S        4     519
         OENBDT$;_          ! NOT BEFORE DATE              S        8     523
         OEPRCD$;_          ! PRI CDE                      S        1     531
         OEMKB$;_           ! ALL KB                       S        1     532
         OEPHONE$;_         ! SHIP TO PHONE                S       20     533
         CARRIER$;_         ! CARRIER                      S       10     553
         TWHT;_             ! TOTAL WEIGHT                 N      9.2     563
         TSKID;_            ! TOTAL SKIDS                  N      6.0     574
         TCTN;_             ! TOTAL CARTONS                N      6.0     582
         OEPRO$;_           ! SHIPPER PRO #                S       20     590
         OEEMAIL$;_         ! ORDER EMAIL                  S       50     610
         OEDTENT$;_         ! DATE ENTERED                 S       10     660
         OEENTBY$;_         ! ENT BY                       S        3     670
         OEDTCHG$;_         ! DATE CHANGED                 S       10     673
         OECHGBY$;_         ! CHG BY                       S        3     683
         OECRFLG$;_         ! CR OVR                       S        1     686
         OEFILL$;_          ! FILLER                       S       11     687
         "@0D0A@"           ! CR/LF                        S        2     698
!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
NXT30: FORMAT _
         OENUM$             ! ORDER NUMBER                 S        6       0
